CERT NetSA Security Suite
Monitoring for Large-Scale Networks

# fixbuf

Documentation

- Main Page
- Related Pages
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
fbVarfield_st Struct Reference

A variable-length field value. More...

`#include <public.h>`

## Data Fields

size_t | len
| Length of content in buffer. More...
uint8_t * | buf
| Content buffer. More...

## Detailed Description

A variable-length field value.

Variable-length information element content is represented by an fbVarfield_t on the internal side of the transcoder; that is, variable length fields in an IPFIX Message must be represented by this structure within the application record.

## Field Documentation

uint8_t* fbVarfield_st::buf

Content buffer.

In network byte order as appropriate. On write, this buffer will be copied into the message buffer. On read, this buffer points into the message buffer and must be copied by the caller before any call to fBufNext().

size_t fbVarfield_st::len

Length of content in buffer.

The documentation for this struct was generated from the following file:

- public.h